Name:		itstool
Version:	2.0.7
Release:	%mkrel 2
Summary:	ITS-based XML translation tool
Group:		System/Internationalization
License:	GPLv3+
URL:		https://itstool.org/
Source:		http://files.itstool.org/itstool/%{name}-%{version}.tar.bz2
# From upstream pull request:
# https://github.com/itstool/itstool/pull/18
Patch0101:	0001-Fix-a-segmentation-fault-bug-introduced-with-version.patch
# https://github.com/itstool/itstool/pull/51
Patch0102:	0001-Fix-insufficiently-quoted-regular-expressions.patch
BuildArch:	noarch
BuildRequires:	python3-libxml2
Requires:	python3-libxml2

%description
ITS Tool allows you to translate XML documents with PO files, using rules from
the W3C Internationalization Tag Set (ITS) to determine what to translate and
how to separate it into PO file messages.

%prep
%autosetup -p1

%build
%configure PYTHON=%{__python3}
%make_build

%install
%make_install

%files
%doc NEWS
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_mandir}/man1/%{name}.1*


%changelog
* Sun Mar 24 2024 wally <wally> 2.0.7-2.mga10
+ Revision: 2051778
- fix SyntaxWarning: invalid escape sequence '\s' after update to py3.12

* Thu Dec 29 2022 daviddavid <daviddavid> 2.0.7-1.mga9
+ Revision: 1927855
- new version: 2.0.7

* Mon Mar 21 2022 umeabot <umeabot> 2.0.6-3.mga9
+ Revision: 1811585
- Mageia 9 Mass Rebuild

* Sat Feb 15 2020 umeabot <umeabot> 2.0.6-2.mga8
+ Revision: 1525251
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Apr 07 2019 daviddavid <daviddavid> 2.0.6-1.mga7
+ Revision: 1386690
- new version: 2.0.6
- switch to Python3

* Sun Nov 25 2018 daviddavid <daviddavid> 2.0.5-1.mga7
+ Revision: 1333972
- new version: 2.0.5

* Thu Sep 20 2018 umeabot <umeabot> 2.0.4-3.mga7
+ Revision: 1278884
- Mageia 7 Mass Rebuild

* Sat May 05 2018 wally <wally> 2.0.4-2.mga7
+ Revision: 1226441
- add patch to fix segfault

* Sun Mar 25 2018 kekepower <kekepower> 2.0.4-1.mga7
+ Revision: 1212459
- Update to version 2.0.4
- Use new make macros

* Tue Feb 02 2016 umeabot <umeabot> 2.0.2-4.mga6
+ Revision: 932768
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.0.2-3.mga5
+ Revision: 748928
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.0.2-2.mga5
+ Revision: 680586
- Mageia 5 Mass Rebuild

* Sat Feb 15 2014 dams <dams> 2.0.2-1.mga5
+ Revision: 591712
- new version 2.0.2

* Fri Oct 18 2013 umeabot <umeabot> 1.2.0-3.mga4
+ Revision: 506096
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1.2.0-2.mga3
+ Revision: 354593
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jun 28 2012 wally <wally> 1.2.0-1.mga3
+ Revision: 264652
- new version 1.2.0

* Tue May 29 2012 ovitters <ovitters> 1.1.3-1.mga3
+ Revision: 249230
- new version 1.1.3

* Thu Feb 09 2012 wally <wally> 1.1.2-1.mga2
+ Revision: 206710
- new version 1.1.2

* Thu Sep 22 2011 wally <wally> 1.1.1-1.mga2
+ Revision: 146796
- new version 1.1.1

* Sat Sep 17 2011 ovitters <ovitters> 1.1.0-2.mga2
+ Revision: 144366
- require python-libxml2

* Sat Jul 09 2011 wally <wally> 1.1.0-1.mga2
+ Revision: 121105
- imported package itstool

